"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F31A0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3240>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F32E0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3380>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3420>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F34C0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3600>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F36A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3740>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F37E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3880>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3920>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F39C0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3A60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3B00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3BA0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3C40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3CE0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3D80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3E20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3EC0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB183F3F60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E880E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88180>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88220>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E882C0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88360>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E884A0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88540>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E885E0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88680>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88720>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E887C0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88860>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88900>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E889A0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88A40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88AE0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88B80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88C20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88CC0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88D60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88E00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88EA0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88F40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E88FE0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89080>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89120>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E891C0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89260>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89300>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E893A0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89440>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E894E0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89580>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89620>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E896C0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89760>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89800>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E898A0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E899E0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89A80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89B20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89BC0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89C60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89D00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89DA0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89E40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89EE0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E89F80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A020>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A0C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A200>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A2A0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A340>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A3E0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A520>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A5C0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB18E8A660>)]
name: str = 'fr_HOCCN'
